Bug 192468 - [PATCH] editors/libreoffice: deadlocks to render EPS file using GS
Summary: [PATCH] editors/libreoffice: deadlocks to render EPS file using GS
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: FreeBSD Office Team (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-07 14:03 UTC by hiroto.kagotani
Modified: 2018-01-12 07:47 UTC (History)
2 users (show)

See Also:


Attachments
Patch (2.03 KB, text/plain)
2014-08-07 14:03 UTC, hiroto.kagotani
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description hiroto.kagotani 2014-08-07 14:03:56 UTC
Created attachment 145447 [details]
Patch

LibreOffice calls ghostscript to render EPS files using pipes, but it waits for the completion of write to GS before reading result from GS.  This sequence may cause deadlock for some EPS files.

Though this is a LibreOffice's bug filed at
https://bugs.freedesktop.org/show_bug.cgi?id=82290 ,
FreeBSD is very susceptible to the bug because of its pipe implementation.

Until upstream is fixed, libreoffice port should have its own patch for the bug.

Attached is the patch.
Comment 1 John Marino freebsd_committer 2014-08-07 15:42:47 UTC
over to maintainer group...
Comment 2 Kurt Jaeger freebsd_committer 2015-05-02 20:42:53 UTC
The fix as linked was committed upstream and is in the current version of libreoffice.
Comment 3 Walter Schwarzenfeld freebsd_triage 2018-01-12 06:18:07 UTC
Forgotten to close?